Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 599977 - [abrt] crash in poker2d-1.7.3-3.fc12: pokerrenderer.py:2190:changeState:AttributeError: 'NoneType' object has no attribute 'user'
[abrt] crash in poker2d-1.7.3-3.fc12: pokerrenderer.py:2190:changeState:Attri...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: poker2d (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Extras Quality Assurance
abrt_hash:dffdf0a6
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 17:10 EDT by home
Modified: 2011-06-27 13:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:28:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.54 KB, text/plain)
2010-06-03 17:10 EDT, home
no flags Details

  None (edit)
Description home 2010-06-03 17:10:32 EDT
abrt 1.1.0 detected a crash.

architecture: i686
cmdline: /usr/bin/python2.6 /usr/bin/poker2d
component: poker2d
executable: /usr/bin/poker2d
kernel: 2.6.33.5-112.fc13.i686
package: poker2d-1.7.3-3.fc12
reason: pokerrenderer.py:2190:changeState:AttributeError: 'NoneType' object has no attribute 'user'
release: Fedora release 13 (Goddard)

backtrace
-----
pokerrenderer.py:2190:changeState:AttributeError: 'NoneType' object has no attribute 'user'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/twisted/internet/gtk2reactor.py", line 266, in simulate
    self.iterate()
  File "/usr/lib/python2.6/site-packages/twisted/internet/base.py", line 576, in iterate
    self.runUntilCurrent()
  File "/usr/lib/python2.6/site-packages/twisted/internet/base.py", line 741, in runUntilCurrent
    self._insertNewDelayedCalls()
  File "/usr/lib/python2.6/site-packages/twisted/internet/base.py", line 700, in _insertNewDelayedCalls
    for call in self._newTimedCalls:
  File "/usr/lib/python2.6/site-packages/pokerui/pokerinterface.py", line 118, in event
    data = self.handleMenu(data[1:])
  File "/usr/lib/python2.6/site-packages/pokerui/pokerinterface.py", line 591, in handleMenu
    self.publishEvent(INTERFACE_MENU, data[0], data[1])
  File "/usr/lib/python2.6/site-packages/pokernetwork/dispatch.py", line 58, in publishEvent
    cb(*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/pokerui/pokerrenderer.py", line 1599, in handleMenu
    self.changeState(LOGIN, lambda success: self.changeState(current_state))
  File "/usr/lib/python2.6/site-packages/pokerui/pokerrenderer.py", line 2190, in changeState
    if self.protocol.user.isLogged():
AttributeError: 'NoneType' object has no attribute 'user'

Local variables in innermost frame:
state: 'login'
args: (<function <lambda> at 0x8d50454>,)
current_state: 'idle'
self: <pokerui.pokerrenderer.PokerRenderer instance at 0x8d4588c>
kwargs: {}

How to reproduce
-----
1. software browser
2.
3.
Comment 1 home 2010-06-03 17:10:33 EDT
Created attachment 420720 [details]
File: backtrace
Comment 2 Bug Zapper 2011-06-02 08:08:42 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 13:28:20 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.